f_XandSURE <-
function(mu, f_Y, Pdf, integr, C, D, d, CtC, DtD, CtfY, CtSig, f_reg, A, b, meq){

	K_sup <- ncol(C)
	K <- nrow(C)

	##Compute D and d if they are not specified
	lambda <- exp(mu) ##mu is log(lambda)
	if (is.null(D)) {
		D <- CtC + lambda*DtD
		d <- CtfY + lambda*f_reg
	}

	##Compute f_X
	QPDC <- solve.QP(Dmat=D, dvec=d, Amat=A, bvec=b, meq=meq)
	f_X <- QPDC$solution

	#Compute the SURE criterion for the estimated f_X
	e <- f_Y - C%*%f_X
	err <- sum(e*e)
	Dinv = chol2inv(chol(D))
	if(integr == FALSE) {
		B.Sig = Dinv%*%CtSig ##B%*%Sig	
	}
	else { ##Include rank-1 modification of B if integrate-to-one constraint used
		if(Pdf==TRUE){
			e <- rep(1.0,K_sup)
		}else{	
			e <- c(rep(0,(K_sup-1)),1)
		}
		Dinv.e <- as.numeric(Dinv%*%e)
		k <- 1/sum(e*Dinv.e)
		B.Sig = (Dinv - outer(Dinv.e, Dinv.e*k))%*%CtSig ##B%*%Sig
	}

	SURE.value = err + 2*sum(C*t(B.Sig))

	OUT <- NULL
	OUT$SURE.value <- SURE.value ##value of SURE criterion
	OUT$f_X <- f_X ##estimated K_sup-length pdf f_X over only the support x0

	return(OUT)
}
