#' @export
plot.QPdecon = function (x, histo = FALSE, main = NULL, ylim = NULL, xlim = NULL, xlab = NULL, ylab = NULL, ...) 
{
  L = x
  x = L$x
  f_X = L$f_X
  f_Y = L$f_Y
  delta = x[2] - x[1]
  br = c(x - delta/2, max(x) + delta/2)
  lam = signif(L$lambda, digits = 4)
  par(family = "serif", mai = c(0.85, 0.9, 0.2, 0.2))
  if (is.null(xlab)) {xlab = expression(italic(x))}
  if (is.null(ylab)) {ylab = expression(italic(hat(f[X])(x)))}
  plot(x, f_X, type = "n", xlab = xlab, ylab = ylab,
       main=main,ylim=ylim,xlim=xlim)
  if (histo) {
    for (i in 1:length(x)) {
      lines(c(br[i], br[i + 1]), c(f_Y[i], f_Y[i]), col = "lightgrey")
      lines(c(br[i], br[i]), c(f_Y[i], 0), col = "lightgrey")
      lines(c(br[i + 1], br[i + 1]), c(f_Y[i], 0), col = "lightgrey")
    }
  }
  lines(x, f_X, col = 2, lwd = 2, type = "l", ylab = "")
  legend("topright", legend = substitute(italic(hat(f)[X]):lambda == list(lam), list(lam = lam)), lty = c(1), col = c(2),lwd = c(2))
}

