\name{QPcdf}
\alias{QPcdf}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
	Create the CDF estimator
}
\description{
This is a function used to transform an object (PDF estimator) from the QPdecon function and returns a CDF estimator
}
\usage{
QPcdf(obj,prob=NULL)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{obj}{
     a QPdecon object
}
 \item{prob}{
     if \code{prob!= NULL}, quantiles corresponding to the specified \code{prob} will be returned
}


}
\seealso{
\code{\link{QPdecon}}
}

\examples{
n <- 500
X <- rgamma(n,5,1)
Z <- rnorm(n,0,sd=1.8)
Y <- X+Z	# the observed sample of data
K <- 100
L <- QPdecon(Y=Y,K=K,f_Z=1.8,lambda=0.02,reg="2Deriv",integr=TRUE, 
             nonneg=TRUE)
cdfEst = QPcdf(L,prob = c(0.1,0.5,0.75,0.9))
plot(cdfEst$x,cdfEst$cdf,type="l")
abline(h=0.1)
abline(v=cdfEst$quantiles[1])
abline(h=0.5)
abline(v=cdfEst$quantiles[2])
abline(h=0.75)
abline(v=cdfEst$quantiles[3])

}

