\name{QPdecon-package}
\alias{QPdecon-package}
\docType{package}
\title{
An R Package for Density Deconvolution
}
\description{
The purpose of the QPdecon package is to solve a deconvolution problem with regularization to estimate the density of X in the model Y=X+Z with Z noise and given a sample of observation of Y. The optimization problem finds the estimator \eqn{\hat{f}_X} to minimize a quadratic programming objective function \eqn{\|\hat{f}_Y-Cf_X\|^2+\lambda Q(f_X)} subject to various constraints. The term of \eqn{Q(f_X)} is a regularization penalty. The constraints of nonnegativity and integrate-to-one are always recommnented and are the default settings, while other constraints like monotonicity, convexity (over specified tail regions) and support can also be included when available. The package can be used to estimate the cdf when needed. The associated regularization parameter \eqn{\lambda} can be automatically determined by SURE method, and the package also provides a simple graphical method using SURE plot which plots the SURE values against a sequence of \eqn{\lambda} to help determine the value of the regularization parameter.  
}
\details{
There are two main functions in the QPdecon package, and they are \code{QPdecon()} and \code{SUREPlot()}. The first function implements the quadratic programming approach to solve a density deconvolution problem, while the second function offers a SURE plot for checking the associated regularization parameter. Another function \code{plot.QPdecon()} can be used to plot the density estimation results 
}
\author{
Ran Yang, D. W. Apley 

Maintainer:
ranyang2011@u.northwester.edu

}
\references{
Ran Yang, Daniel Apley, Jeremy Staum and David Ruppert. Density Deconvolution with Additive Measurement Errors using Quadratic Programming.
}
\keyword{quadratic programming, density deconvolution, additive measurement error model, SURE parameter selection}
\seealso{
\code{\link{QPdecon}} for QP estimation, \code{\link{SUREPlot}} for regularization parameter check using SURE-plot method, \code{\link{plot.QPdecon}} for plotting QP estimators
}


