\name{plot.QPdecon}
\alias{plot.QPdecon}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
	Generate QP estimator plot
}
\description{
	This function plots the QP estimator \code{f_X}
}
\usage{
	\method{plot}{QPdecon}(x, histo = FALSE, main = NULL, ylim = NULL, xlim = NULL, xlab = NULL, ylab = NULL, ...)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{
   an object of class \code{QPdecon} returned from the \code{QPdecon()} function
}
\item{histo}{
   set \code{histo=TRUE} to add the histogram of the original observed data Y
}
\item{main}{
   an overall title for the plot
}
\item{ylim}{
    range for the y axis
}
\item{xlim}{
    range for the x axis
}
\item{ylab}{
    a title for the y axis
}

\item{xlab}{
    a title for the x axis
}
\item{...}{
   other arguments passed to the plot function
}

}
\value{
   Return a plot with the QP esimator of \code{f_X} and the histogram of Y
}
\references{
Ran Yang, Daniel Apley, Jeremy Staum and David Ruppert. Density Deconvolution with Additive Measurement Errors using Quadratic Programming.
}
\author{
Ran Yang, D. W. Apley 
}

\seealso{
\code{\link{QPdecon}}, \code{\link{SUREPlot}}
}
\examples{
rm(list=ls())

X=rgamma(3000,5,1)
Z=rnorm(3000,0,sd=1.8)
Y=X+Z
f_Z<-function(z){dnorm(z,mean=0,sd=1.8)}
K=min(200,floor(3*sqrt(3000)))

#### QP estimation ####
QPobj=QPdecon(Y=Y,Pdf=TRUE,K=K,f_Z=f_Z,lambda=0.02,reg="2Deriv",integr=TRUE, nonneg=TRUE)

#### Plot the estimation ####
plot(QPobj,histo=TRUE,main="PDF estimation",
ylab="density(x)",xlab="x", xlim=c(-1,20), ylim = c(0,0.25))

}

