###  Generates tables A1 and A2
tableA1 = FALSE
load("gamma1dot5GaussMedian.RData")

length(PC_QPquant)
sampSize = c(250,500,1000,2000)
sdz = (1:4)/4

library("bootstrap")
library("xtable")
bootResults = matrix(nrow=16,ncol=5)
isim = 0
for (i in 1:4)
{
  for (j in 1:4)
  {
    isim = isim + 1
    bootResults[isim,1]=sampSize[i]
    bootResults[isim,2]=sdz[j]
    if (tableA1 == TRUE)  y = KD_QPquant[(n==sampSize[i])&(sdError==sdz[j])]  ###  for Table A1
    if (tableA1 == FALSE) y = KD_QPpdf[(n==sampSize[i])&(sdError==sdz[j])]  ###   for Table A2
    bootResults[isim,3:4] = bcanon(y,5000,mean)$confpoints[c(1,8),2]
  }
}
bootResults[,5] = bootResults[,4] - bootResults[,3]
colnames(bootResults) = c("n","$sigma_z$","lower limit","upper limit","length")
tabCombined = xtable(bootResults,digits=c(1,2,2,2,2,2))
print(tabCombined,include.rownames = FALSE)
