###  Generates Figure A9
###  Normal with f_z normal
yesPlot = TRUE
yesSave = TRUE

##  Specify the model
qq = c(0.05,0.1,0.25,0.5,0.75,0.9,0.95)
TRUEquant = qnorm(qq)
rmodel = function(n) {rnorm(n)}
den = "norm"
unimodal = TRUE
monotone = NULL
K = 200
variableK = FALSE
##  End model specification
Nrep = 200
useLaplace = FALSE
t1 = proc.time()
source("runSim.R")
colMeans(MAEresults[,3:5])
t2 = proc.time()
(t2-t1)/60

colMeans(MAEresults[,3:5])
colMeans(pdfResults)

xlimL = -700
legendCex = 1.1
widthMult = 0.95
width = 8*widthMult
height = 6*widthMult
cex.label = 1.35
## KD versus QP for quantiles
if (yesPlot == TRUE) pdf("normalGaussMedian.pdf",width=width,height=height)
ylab="log ratio of MedAEs"
par(mfrow=c(2,2))
plot(sampSize,tabKD_QP_quant[,4],type="b",ylim=c(min(tabKD_QP_quant),
                                                 max(tabKD_QP_quant)),lty=1,lwd=2,xlab="n",
     ylab=ylab,main="normal: KD - QP quantiles",xlim=c(xlimL,2000))
lines(sampSize,tabKD_QP_quant[,3],type="b",col="red",lty=2,lwd=2)
lines(sampSize,tabKD_QP_quant[,2],type="b",col="blue",lty=3,lwd=2)
lines(sampSize,tabKD_QP_quant[,1],type="b",col="purple",lty=4,lwd=2)
abline(h=0,lwd=0.5)
legend("topleft",c("0.25","0.5","0.75","1"),lty=c(4,3,2,1),lwd=2,col=c("purple","blue","red","black"),cex=legendCex)

## KD versus QP for pdf's
plot(sampSize,tabKD_QP_pdf[,4],type="b",ylim=c(min(tabKD_QP_pdf),max(tabKD_QP_pdf)),lty=1,lwd=2,xlab="n",
     ylab=ylab,main="normal: KD - QP pdf's",xlim=c(xlimL,2000))
lines(sampSize,tabKD_QP_pdf[,3],type="b",col="red",lty=2,lwd=2)
lines(sampSize,tabKD_QP_pdf[,2],type="b",col="blue",lty=3,lwd=2)
lines(sampSize,tabKD_QP_pdf[,1],type="b",col="purple",lty=4,lwd=2)
abline(h=0,lwd=0.5)
legend("topleft",c("0.25","0.5","0.75","1"),lty=c(4,3,2,1),lwd=2,col=c("purple","blue","red","black"),cex=legendCex)

## PC versus QP for quantiles
plot(sampSize,tabPC_QP_quant[,4],type="b",ylim=c(min(tabPC_QP_quant),
                                                 max(tabPC_QP_quant)),lty=1,lwd=2,xlab="n",
     ylab=ylab,main="normal: PC - QP quantiles",xlim=c(xlimL,2000))
lines(sampSize,tabPC_QP_quant[,3],type="b",col="red",lty=2,lwd=2)
lines(sampSize,tabPC_QP_quant[,2],type="b",col="blue",lty=3,lwd=2)
lines(sampSize,tabPC_QP_quant[,1],type="b",col="purple",lty=4,lwd=2)
abline(h=0,lwd=0.5)
legend("topleft",c("0.25","0.5","0.75","1"),lty=c(4,3,2,1),lwd=2,col=c("purple","blue","red","black"),cex=legendCex)

## PC versus QP for pdf's
plot(sampSize,tabPC_QP_pdf[,4],type="b",ylim=c(min(tabPC_QP_pdf),max(tabPC_QP_pdf)),lty=1,lwd=2,xlab="n",
     ylab=ylab,main="normal: PC - QP pdf's",xlim=c(xlimL,2000))
lines(sampSize,tabPC_QP_pdf[,3],type="b",col="red",lty=2,lwd=2)
lines(sampSize,tabPC_QP_pdf[,2],type="b",col="blue",lty=3,lwd=2)
lines(sampSize,tabPC_QP_pdf[,1],type="b",col="purple",lty=4,lwd=2)
abline(h=0,lwd=0.5)
legend("topleft",c("0.25","0.5","0.75","1"),lty=c(4,3,2,1),lwd=2,col=c("purple","blue","red","black"),cex=legendCex)
if (yesPlot == TRUE)  graphics.off()

if (yesSave == TRUE) save.image("normalGaussMedian.RData")


###  load("normalGaussMedian.RData")
