###  Generates Figure A2

pdf("densities.pdf",width=6,height=5)
par(mfrow=c(2,3))


shape = 1.5
rate = sqrt(shape)
grid2 = seq(0,7,length=200)
gammaPdf = dgamma(grid2,shape=shape,rate=rate)
plot(grid2,gammaPdf,type="l",lwd=2,xlab="x",ylab="density(x)",main="gamma, shape = 1.5")
abline(h=0)

shape = 5
rate = sqrt(shape)
gammaPdf = dgamma(grid2,shape=shape,rate=rate)
plot(grid2,gammaPdf,type="l",lwd=2,xlab="x",ylab="density(x)",main="gamma, shape = 5")
abline(h=0)

sdx = sqrt(0.8*0.2*4^2 + 1)
grid = seq(-1,3,length = 500)*sdx
normMixPdf = 0.8*dnorm(grid,mean=1/sdx,sd=1/sdx) + 0.2*dnorm(grid,mean=5/sdx,sd=1/sdx)
plot(grid,normMixPdf,type="l",lwd=2,xlab="x",ylab="density(x)",main="normal mixture")
abline(h=0)


grid3 = seq(-4,4,length=500)
plot(grid3,dnorm(grid3),type="l",lwd=2,xlab="x",ylab="density(x)",main="N(0,1)")

st = sqrt(5/3)
grid4 = seq(-7.5,7.5,length=500)
plot(grid4,dt(grid4/st,df=5)/st,type="l",lwd=2,xlab="x",ylab="density(x)",main=expression(t[5]))

graphics.off()

